## python-sphinx-codeautolink 0.17.5

=== docs/requirements.txt ===
# Manually pin Sphinx + docs requirements
sphinx==7.2.6
sphinx-rtd-theme==2.0.0
docutils==0.19
matplotlib==3.8.3
ipython==8.22.2

## python-sphinx-codeautolink 0.15.2

=== debian/changelog ===
python-sphinx-codeautolink (0.15.2-1) unstable; urgency=medium

  * d/watch: source distribution may contain an underscore
  * New upstream version. Closes: #1073501
  * d/patches/0002-Mark-tests-needing-internet-access.patch: skip a new
    internet-requiring test.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jun 2024 13:20:37 +0200

python-sphinx-codeautolink (0.15.0-4) unstable; urgency=medium

  * Another go at the intersphinx patch for the tests.
  * d/control: Typo fix, remove 1st-person

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 04 May 2024 12:05:42 +0200

python-sphinx-codeautolink (0.15.0-3) unstable; urgency=medium

  * d/patches/test-intersphinx: added another fix.
  * d/gbp.conf: switch development branch to "debian/latest".

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 04 May 2024 09:09:22 +0200

python-sphinx-codeautolink (0.15.0-2) unstable; urgency=medium

  * Add patch to enable intersphix links to python3-docs.
  * Remove trailing whitespace in debian/copyright (routine-update)
  Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Apr 2024 21:47:23 +0200

python-sphinx-codeautolink (0.15.0-1) unstable; urgency=low

  * Initial release. Closes: #1067114

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 18 Mar 2024 16:20:11 +0000

=== debian/control ===
Source: python-sphinx-codeautolink
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-all,
               python3-sphinx,
               python3-bs4,
               python3-pytest <!nocheck>,
               python3-ipython <!nocheck>,
               python3-pickleshare <!nocheck>,
               python3-doc <!nocheck>
Standards-Version: 4.6.2
Homepage: https://sphinx-codeautolink.rtfd.io/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sphinx-codeautolink
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sphinx-codeautolink.git
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-sphinx-codeautolink
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Enhances: python3-sphinx
Description: Automatic links from code examples to reference documentation
 This plugin for the Sphinx documentation tool makes code examples clickable by
 inserting links from individual code elements to the corresponding reference
 documentation. The aim is for a minimal setup assuming your examples are
 already valid Python.
 .
 For a live demo, see the online documentation at
 https://sphinx-codeautolink.rtfd.org

## python-sphinx-codeautolink 0.16.2

=== debian/changelog ===
python-sphinx-codeautolink (0.16.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Refreshed patches
  * Update intersphinx patch to link to numpy & matplotlib docs packages
  * Updated the test skip list for another internet-needing test.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 13 Feb 2025 15:58:27 +0100

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinx-codeautolink

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/sphinx-codeautolink/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinx-codeautolink/sphinx[-_]codeautolink-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-sphinx-codeautolink 0.17.4

=== debian/changelog ===
python-sphinx-codeautolink (0.17.4-2) experimental; urgency=medium

  * Team upload.
  * Skip lexer_pyi.txt test in a way that also applies to the autopkgtest.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 May 2025 22:26:24 +0300

python-sphinx-codeautolink (0.17.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Skip lexer_pyi test that needs Pygments 2.19.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 May 2025 23:04:15 +0300

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
                python3-pytest <!nocheck>,
                python3-ipython <!nocheck>,
                python3-pickleshare <!nocheck>,
-               python3-doc <!nocheck>
-Standards-Version: 4.6.2
+               python3-doc <!nocheck> <!nodoc>,
+               python-numpy-doc <!nodoc>,
+               python-matplotlib-doc <!nodoc>
+Standards-Version: 4.7.0
 Homepage: https://sphinx-codeautolink.rtfd.io/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sphinx-codeautolink
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-sphinx-codeautolink.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinx-codeautolink

# Skip this test until we have Pygments 2.19 in Debian
export PYBUILD_TEST_ARGS=-k 'not lexer_pyi.txt'

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-sphinx-codeautolink 0.17.5

=== debian/changelog ===
python-sphinx-codeautolink (0.17.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump required python3-setuptools version to 77.0.
  * Refresh 0002-Mark-tests-needing-internet-access.patch.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Aug 2025 00:15:12 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
-               python3-setuptools,
+               python3-setuptools (>= 77.0),
                python3-all,
                python3-sphinx,
                python3-bs4,
